C
C
C      2019年財政検証(厚生年金)
C      インクルードコマンド
C
C
      PARAMETER(STTY=10)
      PARAMETER(ENDY=120)
      PARAMETER(ECSTY=-2)
      PARAMETER(ECEDY=123)
C
      COMMON /MAINPR/KEY,PSEID,KONEN,SEIDN,SEIMEI,KVER
C
      COMMON /SEPSPR/KS,KE,FLKS,FLKE,WKKS,WKKE
C
      COMMON /FLCKPR/IECON,INAME,IWNAME
C
      COMMON /CNTLPR/XEND,TEND,KIJUN,ZAIRO,CHINSURA,KAITE,SEITAIKEY,
     &               KZN,KZNY,PSLY,PSLSI,PSLSI2,DAIK14,
     &               ZAITEIYR,SEIDVER,SEIY,
     &               FLG_PART,PARTYR1,PARTYR2,PAHOSEI1
     &               
      COMMON /CNTLPR2/NENBEEX,NENBE65,
     &               XA,XB,OLDFLG,KOZAIEX2,KOZAEXYR,KOZA70,
     &               FLG_KAISHO,IZOKYUYR,JIIKU2YR,KKUCI,
     &               HOUJOU,HOUJOUYR,FLG_SANKYU,SANKYUYR,
     &               FURIKAE_FLG,CHT_FLG,FLG_HSR,HSR_ENDY,
     &               FLG_FUSIIZO,FUSIIZOYR,
     &               CANYR,FLG_IZOKYU,IZOKYUYR2,
     &               FLG_HIHO70,HIHO70YR
C
      COMMON /CNTLPR3/PARTBBN,PARRATER,PARRATET,
     &                HOUJOUR,HSR_R
C
      REAL*8 PARTBBN(0:1,0:1,1:10,1:2)
      REAL*8 PARRATER(1:2),PARRATET(1:2)
      REAL*8 HOUJOUR,HSR_R
C
      COMMON /SEIDPR/KD,ADT,CADT,SADT,HA,HB,EMA,EMB,PRE,PRA,PRB,
     &               FL,FL1,FLT,MINB,WIF,WIFE,CAN,SRV,EE,SIK,NOS,
     &               PRES,PRAS,PRBS,HIKRATE,CAN2,QP,SENLL
C
      REAL*8 KD(STTY:ENDY,6,4,0:115),ADT(3),CADT(-120:ENDY)
      REAL*8 SADT(-74:ENDY),HA(3),HB(3),EMA(3),EMB(3)
      REAL*8 PRE(-74:-54),PRA,PRB,FLT(-74:ENDY),FL,FL1,MINB
      REAL*8 WIF,WIFE(-120:ENDY),CAN(-74:ENDY),SRV,EE(2)
      REAL*8 SIK(STTY:ENDY,0:115,2,17,2),NOS(STTY:ENDY,60:69,2,17,2)
      REAL*8 PRES(-74:-54),PRAS,PRBS
      REAL*8 HIKRATE,CAN2(-74:ENDY)
      REAL*8 QP(STTY:ENDY-55,0:130,2),SENLL
C
      COMMON /SIGOPR/FLG_SIGO,FLG_KOZAX,KOZAX,KOZAXYR,
     &               FLG_KOZABASE,KOZABASEYR
      COMMON /SIGOPR2/KFLCAN
C
      REAL*8 KFLCAN(STTY:ENDY,-74:ENDY)
C
      COMMON /ECONPR/RI,H,CI0,HH,CI,CI2,HP2,HH2,JZ_SHK,DIR,AD,AD2,BD
C
      REAL*8 RI(ECSTY:ECEDY),H(ECSTY:ECEDY),CI0(ECSTY:ECEDY)
      REAL*8 HH(ECSTY:ECEDY),CI(ECSTY:ECEDY)
      REAL*8 CI2(ECSTY:ECEDY,67:115),HP2(ECSTY:ECEDY,67:115)
      REAL*8 HH2(-1:1)
C
      REAL*8 JZ_SHK(4:ENDY)
      REAL*8 DIR(4:ENDY)
      REAL*8 AD(STTY:ENDY),AD2(4:ENDY),BD(STTY:ENDY,23)
C
      COMMON /KISOPR/U,Q,Q2,RC,NS,RT,BR,YX,RS,BN,BNPT,DMPT2,
     &               IKUCOE,JIIKU,CL,CL2
C
      REAL*8 U(STTY:ENDY,14:115,0:3)
      REAL*8 Q(STTY:ENDY,0:115,3),Q2(STTY:ENDY,0:115)
      REAL*8 RC(3,STTY:ENDY,14:115)
      REAL*8 NS(STTY:ENDY,0:115)
      REAL*8 RT(STTY:ENDY,14:115),YX(STTY:ENDY,15:115,0:1)
      REAL*8 BR(STTY:ENDY,0:115,1:3)
      REAL*8 RS(3,STTY:ENDY,15:115,4)
      REAL*8 BN(STTY:ENDY,14:115,1:3),BNPT(STTY:ENDY,14:115,1:2)
      REAL*8 DMPT2(STTY:ENDY,14:115,1:2)
      REAL*8 IKUCOE(STTY:ENDY),JIIKU
      REAL*8 CL(STTY:ENDY,3),CL2(STTY:ENDY,3)
C
      COMMON /KRGNPR/RISS,RIGD,RIGK,RIGBE
C
      REAL*8 RISS(STTY:ENDY,60:70,60:65,3,0:1)
      REAL*8 RIGD(3,60:70,60:70),RIGK(3,60:70,60:70)
      REAL*8 RIGBE(3,60:70,60:70)
C
      COMMON /WAKUPR/POP,L,LPT,LPT1,LPT2,LPT2I,LPT2P
C
      REAL*8 POP(STTY:ENDY,0:2,0:115)
      REAL*8 L(STTY:ENDY,0:3,0:115),LPT(STTY:ENDY,0:3,0:115)
      REAL*8 LPT1(STTY:ENDY,0:3,0:115),LPT2(STTY:ENDY,0:3,0:115)
      REAL*8 LPT2I(STTY:ENDY,0:3,0:115),LPT2P(STTY:ENDY,0:3,0:115)
C
      COMMON /ZEROPR/GEE,GEEPT,D3,DK3,D3XS,KFPR,AT,
     &               AP,AP65,AP70,AP75,
     &               APPART,APPART65,APPART70,APPART75,
     &               A,AIKU,AAL,A60,A65,A70,A75,
     &               APDUM,AP65DUM,AP70DUM,AP75DUM,
     &               APPARTDUM,APPART65DUM,APPART70DUM,APPART75DUM,
     &               ADUM,AIKUDUM,A60DUM,A65DUM,A70DUM,A75DUM
C
      REAL*8 GEE(STTY:ENDY,0:3,14:115,0:100)
      REAL*8 GEEPT(STTY:ENDY,0:3,14:115,0:100)
      REAL*8 D3(STTY:ENDY,0:6,0:13,0:58,2)
      REAL*8 DK3(STTY:ENDY,0:2,0:6,0:10)
      REAL*8 D3XS(STTY:ENDY,0:115,0:6,0:13,0:58)
      REAL*8 KFPR(STTY:ENDY,0:6,0:13,0:8)
      REAL*8 AT(STTY:ENDY,0:3)
      REAL*8 AP(STTY:ENDY,0:3),AP65(STTY:ENDY,0:3)
      REAL*8 AP70(STTY:ENDY,0:3),AP75(STTY:ENDY,0:3)
      REAL*8 APPART(STTY:ENDY,0:3),APPART65(STTY:ENDY,0:3)
      REAL*8 APPART70(STTY:ENDY,0:3),APPART75(STTY:ENDY,0:3)
      REAL*8 A(STTY:ENDY,0:3),AIKU(STTY:ENDY,0:3)
      REAL*8 AAL(STTY:ENDY,0:3),A60(STTY:ENDY,0:3)
      REAL*8 A65(STTY:ENDY,0:3),A70(STTY:ENDY,0:3)
      REAL*8 A75(STTY:ENDY,0:3)
      REAL*8 APDUM(STTY:ENDY,0:3),AP65DUM(STTY:ENDY,0:3)
      REAL*8 AP70DUM(STTY:ENDY,0:3),AP75DUM(STTY:ENDY,0:3)
      REAL*8 APPARTDUM(STTY:ENDY,0:3),APPART65DUM(STTY:ENDY,0:3)
      REAL*8 APPART70DUM(STTY:ENDY,0:3),APPART75DUM(STTY:ENDY,0:3)
      REAL*8 ADUM(STTY:ENDY,0:3),AIKUDUM(STTY:ENDY,0:3)
      REAL*8 A60DUM(STTY:ENDY,0:3),A65DUM(STTY:ENDY,0:3)
      REAL*8 A70DUM(STTY:ENDY,0:3),A75DUM(STTY:ENDY,0:3)
C
      COMMON /ZEROPR2/D3X,DK3X,KFPRX
      REAL*8 D3X(STTY:ENDY,0:115,0:6,0:13,0:58)
      REAL*8 DK3X(STTY:ENDY,0:115,0:2,0:6,0:10)
      REAL*8 KFPRX(STTY:ENDY,0:115,0:6,0:13,0:8)
C
      COMMON /DTSTPR/G,GE,GPT,BB,BBPT,Z,ZE,PSZ,PSZE,W,WE,
     &               GD,R,HN,PSHN,F,FHIK,FMIN
C
      REAL*8 G(14:115,0:100),GE(14:115,0:100)
      REAL*8 GPT(14:115,0:100),BB(14:115,0:100),BBPT(14:115,0:100)
      REAL*8 Z(14:115,0:100,0:1,0:9),ZE(14:115,0:100,0:1,0:9)
      REAL*8 PSZ(14:115,0:100,0:1,0:7),PSZE(14:115,0:100,0:1,0:7)
      REAL*8 W(14:115,0:100,0:0,0:7,0:3),WE(14:115,0:100,0:0,0:7,0:3)
      REAL*8 GD(55:65,0:100)
C
      REAL*8 R(0:115,0:10,13)
      REAL*8 HN(0:115,0:10,13,4),PSHN(0:115,0:10,13)
      REAL*8 F(0:115,0:10,13,23)
      REAL*8 FHIK(0:115,0:10,13,23)
      REAL*8 FMIN(0:115,0:10,13,23)
C
      COMMON /SENPR/RSEN,HNSEN,PSHNSEN,FSEN,FSENHIK,FSENMIN
C
      REAL*8 RSEN(60:70)
      REAL*8 HNSEN(60:70,2),PSHNSEN(60:70)
      REAL*8 FSEN(60:70,23)
      REAL*8 FSENHIK(60:70,23)
      REAL*8 FSENMIN(60:70,23)
C
      COMMON /KOUZPR/FKOUZAI2
C
      REAL*8 FKOUZAI2(70:84,0:10,2)
C
      COMMON /PARTPR/APART,AIKUPART,A60PART,A65PART,A70PART,A75PART,
     &               FPART
C
      REAL*8 APART(STTY:ENDY,0:3),AIKUPART(STTY:ENDY,0:3)
      REAL*8 A60PART(STTY:ENDY,0:3),A65PART(STTY:ENDY,0:3)
      REAL*8 A70PART(STTY:ENDY,0:3),A75PART(STTY:ENDY,0:3)
      REAL*8 FPART(60:70,0:10,2)
C
      COMMON /DAIKO/KAKOR,KAKORSN,VMINI,VVM
C
      REAL*8 KAKOR(0:115,0:10,13,0:2),KAKORSN(60:70,0:2)
      REAL*8 VMINI(STTY:ENDY,0:5,0:3),VVM
C
      COMMON /OUTKPR/OKISOG,OKISOGDM,OKISOR
C
      REAL*8 OKISOR(STTY:ENDY,2,13,4)
C
      COMMON /OUTKPR2/OKISO2X
C
      REAL*8 OKISO2X(STTY:ENDY,0:115,2,3,6)
C
CC
      COMMON /OLDKOUPR/ADMY,AIKUDMY,APDMY,ATDMY,
     &                 AALDMY,AP65DMY,AP70DMY,AP75DMY,AP85DMY
C
      REAL*8 APDMY(STTY:ENDY,0:11),AP65DMY(STTY:ENDY,0:6)
      REAL*8 AP70DMY(STTY:ENDY,0:6),AP75DMY(STTY:ENDY,0:6)
      REAL*8 AP85DMY(STTY:ENDY,0:6),ATDMY(STTY:ENDY,0:17)
      REAL*8 ADMY(STTY:ENDY,0:11),AIKUDMY(STTY:ENDY,0:6)
      REAL*8 AALDMY(STTY:ENDY,0:6)
C
      COMMON /OLDKOUPR2/D3XDMY,KFPRXDMY
C
      REAL*8 D3XDMY(STTY:ENDY,0:115,0:6,0:13,0:58)
      REAL*8 KFPRXDMY(STTY:ENDY,0:115,0:6,0:13,0:8)
CC
C
      COMMON /FILEPR/ECONFILE,WAKUFILE,KISORFILE,HOUFILE,SIKFILE,
     &               YUIZOFILE,QXFILE,HIHOFILE,JUKFILE,KFILE,SFILE,
     &               HIKAKUFILE,ASHIMOTOFILE,ASHIMOTOFILES,
     &               KAITEAFILE,KAITEBFILE
C
      CHARACTER ECONFILE*100,WAKUFILE(0:15)*100,KISORFILE(0:7)*100
      CHARACTER HOUFILE*100,SIKFILE*100,YUIZOFILE*100
      CHARACTER QXFILE*100
      CHARACTER HIHOFILE(0:7,3)*100,JUKFILE(0:7,3)*100
      CHARACTER KFILE(0:7)*100,SFILE(0:7)*100
      CHARACTER HIKAKUFILE*100
      CHARACTER ASHIMOTOFILE*100
      CHARACTER ASHIMOTOFILES*100
      CHARACTER KAITEAFILE*100,KAITEBFILE*100
C
